# class Atom | Atom string holder. More...
Full name | `TelEngine::Atom`
Definition | `#include <yateclass.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline explicit Atom (const char* value)
- inline operator const String& () const
- inline const String* operator-> () const

## Detailed Description

Indirected shared string offering access to atom strings

inline explicit Atom (const char* value) | ### Atom

Constructor

Parameters:

value | Atom's string value

inline operator const String& () | ### operator const String&

[const]

Conversion to "const String &" operator

Returns: Pointer to the atom String

inline const String* operator-> () | ### operator->

[const]

String method call operator

Returns: Pointer to the atom String

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.